<?	//This file creates a view for the blog entries
	
	$entriesFound = isset( $entries );
	if ( $entriesFound === false ) {
	    trigger_error( 'views/list-entries-html.php needs $entries' );
	}

	$entriesHTML = "<ul id='blog-entries'>";

	while ($entry = $entries->fetchObject()) {  //Loop over all the blog entries
		//for each entry, echo out the title and first 140 characters

		//a link for 'Read more' which uses the entry 'id' to tell the blog controller
		//to display only that entry
		$readmoreLink = "index.php?page=blog&amp;id=$entry->id";

		$entriesHTML .= "<li><h2>$entry->title</h2>
				        <div>$entry->intro
				        <p><a href='$readmoreLink'>Read more</a></p>
				        </div></li>"; 
	}
	$entriesHTML .= "</ul>";

	echo $entriesHTML;

?>